Skip to main content
GET
/
connect
/
v1
/
operators
/
{operatorId}
/
webhook-subscriptions
List webhook subscriptions
curl --request GET \
  --url https://api.voyant.travel/connect/v1/operators/{operatorId}/webhook-subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "operatorId": "<string>",
      "url": "<string>",
      "events": [
        "<string>"
      ],
      "hasSecret": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "connectionId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

operatorId
string
required

Operator id.

Response

200 - application/json

Subscriptions.

data
object[]